// Code generated by running "go generate" in golang.org/x/text. DO NOT EDIT.

package translations

import (
	"golang.org/x/text/language"
	"golang.org/x/text/message"
	"golang.org/x/text/message/catalog"
)

type dictionary struct {
	index []uint32
	data  string
}

func (d *dictionary) Lookup(key string) (data string, ok bool) {
	p, ok := messageKeyToIndex[key]
	if !ok {
		return "", false
	}
	start, end := d.index[p], d.index[p+1]
	if start == end {
		return "", false
	}
	return d.data[start:end], true
}

func init() {
	dict := map[string]catalog.Dictionary{
		"de": &dictionary{index: deIndex, data: deData},
		"en": &dictionary{index: enIndex, data: enData},
	}
	fallback := language.MustParse("en")
	cat, err := catalog.NewFromMap(dict, catalog.Fallback(fallback))
	if err != nil {
		panic(err)
	}
	message.DefaultCatalog = cat
}

var messageKeyToIndex = map[string]int{
	"\tbackend: %v":  11,
	"\texport: %s":   0,
	"\timport: %s\n": 1,
	"%v: %v":         47,
	"Aborted":        8,
	"Access token":   19,
	"Access token received, you can use %v now.\n": 33,
	"Append to file": 21,
	"Backend":        41,
	"Check for duplicate listens on import (slower)": 24,
	"Client ID":     15,
	"Client secret": 16,
	"Delete the service configuration \"%v\"?": 7,
	"Directory path": 27,
	"Disable auto correction of submitted listens":           25,
	"Error: OAuth state mismatch":                            32,
	"Failed reading config: %v":                              2,
	"File path":                                              20,
	"From timestamp: %v (%v)":                                43,
	"Ignore listens in incognito mode":                       28,
	"Ignore skipped listens":                                 29,
	"Ignored duplicate listen %v: \"%v\" by %v (%v)":         53,
	"Import failed, last reported timestamp was %v (%s)":     44,
	"Import log:":                                            46,
	"Imported %v of %v %s into %v.":                          45,
	"Include skipped listens":                                26,
	"Latest timestamp: %v (%v)":                              49,
	"Minimum playback duration for skipped tracks (seconds)": 30,
	"No":                                38,
	"Playlist title":                    22,
	"Saved service %v using backend %v": 5,
	"Server URL":                        17,
	"Service":                           40,
	"Service \"%v\" deleted\n":          9,
	"Service name":                      3,
	"The backend %v requires authentication. Authenticate now?": 6,
	"Token received, you can close this window now.":            12,
	"Transferring %s from %s to %s...":                          42,
	"Unique playlist identifier":                                23,
	"Updated service %v using backend %v\n":                     10,
	"User name":                                                 18,
	"Visit the URL for authorization: %v":                       31,
	"Yes":                                                       37,
	"a service with this name already exists":                   4,
	"backend %s does not implement %s":                          13,
	"done":                                                      36,
	"exporting":                                                 34,
	"importing":                                                 35,
	"invalid timestamp string \"%v\"":                           48,
	"key must only consist of A-Za-z0-9_-":                      51,
	"no configuration file defined, cannot write config":        50,
	"no existing service configurations":                        39,
	"no service configuration \"%v\"":                           52,
	"unknown backend \"%s\"":                                    14,
}

var deIndex = []uint32{ // 55 elements
	// Entry 0 - 1F
	0x00000000, 0x00000013, 0x00000027, 0x00000052,
	0x0000005e, 0x0000008d, 0x000000bd, 0x00000104,
	0x00000133, 0x0000013f, 0x00000162, 0x00000198,
	0x000001ac, 0x000001e7, 0x00000213, 0x00000233,
	0x0000023d, 0x0000024b, 0x00000256, 0x00000263,
	0x00000271, 0x0000027b, 0x0000028e, 0x000002a1,
	0x000002b8, 0x000002ed, 0x00000321, 0x00000342,
	0x00000352, 0x00000378, 0x0000039a, 0x000003d8,
	// Entry 20 - 3F
	0x000003fe, 0x00000428, 0x00000468, 0x00000473,
	0x0000047e, 0x00000485, 0x00000488, 0x0000048d,
	0x000004b6, 0x000004be, 0x000004c6, 0x000004ef,
	0x0000050d, 0x0000054a, 0x00000575, 0x00000580,
	0x0000058d, 0x000005b1, 0x000005d4, 0x00000625,
	0x0000065c, 0x00000683, 0x00000683,
} // Size: 244 bytes

const deData string = "" + // Size: 1667 bytes
	"\x04\x01\x09\x00\x0e\x02Export: %[1]s\x04\x01\x09\x01\x0a\x0e\x02Import:" +
	" %[1]s\x02Fehler beim Lesen der Konfiguration: %[1]v\x02Servicename\x02e" +
	"in Service mit diesem Namen existiert bereits\x02Service %[1]v mit dem B" +
	"ackend %[2]v gespeichert\x02Das Backend %[1]v erfordert Authentifizierun" +
	"g. Jetzt authentifizieren?\x02Die Servicekonfiguration „%[1]v“ löschen?" +
	"\x02Abgebrochen\x04\x00\x01\x0a\x1e\x02Service „%[1]v“ gelöscht\x04\x00" +
	"\x01\x0a1\x02Service %[1]v mit dem Backend %[2]v aktualisiert\x04\x01" +
	"\x09\x00\x0f\x02Backend: %[1]v\x02Token erhalten, das Fenster kann jetzt" +
	" geschlossen werden.\x02das backend %[1]s implementiert %[2]s nicht\x02u" +
	"nbekanntes Backend „%[1]s“\x02Client-ID\x02Client-Secret\x02Server-URL" +
	"\x02Benutzername\x02Zugriffstoken\x02Dateipfad\x02An Datei anhängen\x02T" +
	"itel der Playlist\x02Eindeutige Playlist-ID\x02Beim Import auf Listen-Du" +
	"plikate prüfen (langsamer)\x02Autokorrektur für übermittelte Titel deakt" +
	"ivieren\x02Übersprungene Titel einbeziehen\x02Verzeichnispfad\x02Listens" +
	" im Inkognito-Modus ignorieren\x02Übersprungene Listens ignorieren\x02Mi" +
	"nimale Wiedergabedauer für übersprungene Titel (Sekunden)\x02URL für Aut" +
	"orisierung öffnen: %[1]v\x02Fehler: OAuth-State stimmt nicht überein\x04" +
	"\x00\x01\x0a;\x02Zugriffstoken erhalten, %[1]v kann jetzt verwendet werd" +
	"en.\x02exportiere\x02importiere\x02fertig\x02Ja\x02Nein\x02keine bestehe" +
	"nden Servicekonfigurationen\x02Service\x02Backend\x02Übertrage %[1]s von" +
	" %[2]s nach %[3]s...\x02Ab Zeitstempel: %[1]v (%[2]v)\x02Import fehlgesc" +
	"hlagen, letzter Zeitstempel war %[1]v (%[2]s)\x02%[1]v von %[2]v %[3]s i" +
	"n %[4]v importiert.\x02Importlog:\x02%[1]v: %[2]v\x02ungültiger Zeitstem" +
	"pel „%[1]v“\x02Letzter Zeitstempel: %[1]v (%[2]v)\x02keine Konfiguration" +
	"sdatei definiert, Konfiguration kann nicht geschrieben werden\x02Schlüss" +
	"el darf nur die Zeichen A-Za-z0-9_- beinhalten\x02keine Servicekonfigura" +
	"tion „%[1]v“"

var enIndex = []uint32{ // 55 elements
	// Entry 0 - 1F
	0x00000000, 0x00000013, 0x00000027, 0x00000044,
	0x00000051, 0x00000079, 0x000000a1, 0x000000de,
	0x00000108, 0x00000110, 0x0000012d, 0x0000015c,
	0x00000170, 0x0000019f, 0x000001c6, 0x000001de,
	0x000001e8, 0x000001f6, 0x00000201, 0x0000020b,
	0x00000218, 0x00000222, 0x00000231, 0x00000240,
	0x0000025b, 0x0000028a, 0x000002b7, 0x000002cf,
	0x000002de, 0x000002ff, 0x00000316, 0x0000034d,
	// Entry 20 - 3F
	0x00000374, 0x00000390, 0x000003c3, 0x000003cd,
	0x000003d7, 0x000003dc, 0x000003e0, 0x000003e3,
	0x00000406, 0x0000040e, 0x00000416, 0x00000440,
	0x0000045e, 0x00000497, 0x000004c1, 0x000004cd,
	0x000004da, 0x000004fb, 0x0000051b, 0x0000054e,
	0x00000573, 0x00000594, 0x000005cd,
} // Size: 244 bytes

const enData string = "" + // Size: 1485 bytes
	"\x04\x01\x09\x00\x0e\x02export: %[1]s\x04\x01\x09\x01\x0a\x0e\x02import:" +
	" %[1]s\x02Failed reading config: %[1]v\x02Service name\x02a service with" +
	" this name already exists\x02Saved service %[1]v using backend %[2]v\x02" +
	"The backend %[1]v requires authentication. Authenticate now?\x02Delete t" +
	"he service configuration \x22%[1]v\x22?\x02Aborted\x04\x00\x01\x0a\x18" +
	"\x02Service \x22%[1]v\x22 deleted\x04\x00\x01\x0a*\x02Updated service %[" +
	"1]v using backend %[2]v\x04\x01\x09\x00\x0f\x02backend: %[1]v\x02Token r" +
	"eceived, you can close this window now.\x02backend %[1]s does not implem" +
	"ent %[2]s\x02unknown backend \x22%[1]s\x22\x02Client ID\x02Client secret" +
	"\x02Server URL\x02User name\x02Access token\x02File path\x02Append to fi" +
	"le\x02Playlist title\x02Unique playlist identifier\x02Check for duplicat" +
	"e listens on import (slower)\x02Disable auto correction of submitted lis" +
	"tens\x02Include skipped listens\x02Directory path\x02Ignore listens in i" +
	"ncognito mode\x02Ignore skipped listens\x02Minimum playback duration for" +
	" skipped tracks (seconds)\x02Visit the URL for authorization: %[1]v\x02E" +
	"rror: OAuth state mismatch\x04\x00\x01\x0a.\x02Access token received, yo" +
	"u can use %[1]v now.\x02exporting\x02importing\x02done\x02Yes\x02No\x02n" +
	"o existing service configurations\x02Service\x02Backend\x02Transferring " +
	"%[1]s from %[2]s to %[3]s...\x02From timestamp: %[1]v (%[2]v)\x02Import " +
	"failed, last reported timestamp was %[1]v (%[2]s)\x02Imported %[1]v of %" +
	"[2]v %[3]s into %[4]v.\x02Import log:\x02%[1]v: %[2]v\x02invalid timesta" +
	"mp string \x22%[1]v\x22\x02Latest timestamp: %[1]v (%[2]v)\x02no configu" +
	"ration file defined, cannot write config\x02key must only consist of A-Z" +
	"a-z0-9_-\x02no service configuration \x22%[1]v\x22\x02Ignored duplicate " +
	"listen %[1]v: \x22%[2]v\x22 by %[3]v (%[4]v)"

	// Total table size 3640 bytes (3KiB); checksum: 719A868A
